Commit ad213ee5 authored by Fabian Vogt's avatar Fabian Vogt

Add KAboutData for DrKonqi

This is necessary for DrKonqi to allow bug reporting.
Currently libfuse's option parsing is used, which is not compatible with
KAboutData's (or vice versa...), so outside of DrKonqi it's not of much
use yet.
parent 783f948c
......@@ -24,8 +24,9 @@ include(ECMSetupVersion)
find_package(PkgConfig REQUIRED)
find_package(Qt5 ${Qt5_MIN_VERSION} COMPONENTS Core REQUIRED)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
KIO
CoreAddons
DBusAddons
KIO
)
pkg_check_modules(FUSE3 REQUIRED fuse3)
......
......@@ -22,6 +22,8 @@
#include <QCoreApplication>
#include <KAboutData>
#include "kiofuseservice.h"
#include "kiofuseversion.h"
......@@ -51,6 +53,9 @@ int main(int argc, char *argv[])
QCoreApplication a(argc, argv);
KIOFuseService kiofuseservice;
KAboutData about(QStringLiteral("kiofuse"), QStringLiteral("FUSE Interface for KIO"), QStringLiteral(KIOFUSE_VERSION_STRING));
KAboutData::setApplicationData(about);
if(!kiofuseservice.start(args, QString::fromUtf8(opts.mountpoint), opts.foreground))
return 1;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment